IPMIPING(8)

."############################################################################# ."$Id: ipmiping.8.in,v 1.11 2006/07/26 20:07:45 chu11 Exp $ ."############################################################################# ." Copyright (C) 2003 The Regents of the University of California. ." Produced at Lawrence Livermore National Laboratory (cf, DISCLAIMER). ." Written by Albert Chu <chu11@llnl.gov> ." UCRL-CODE-155448 ." ." This file is part of Ipmiping, tools for pinging IPMI and RMCP compliant ." remote systems. For details, see http://www.llnl.gov/linux/. ." ." Ipmiping is free software; you can redistribute it and/or modify it under ." the terms of the GNU General Public License as published by the Free ." Software Foundation; either version 2 of the License, or (at your option) ." any later version. ." ." Ipmiping is distributed in the hope that it will be useful, but WITHOUT ." ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or ." FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License ." for more details. ." ." You should have received a copy of the GNU General Public License along ." with Ipmiping; if not, write to the Free Software Foundation, Inc., ." 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA. ."############################################################################

NAME
ipmiping - send IPMI Get Authentication Capabilitiy request to network hosts

SYNOPSIS
ipmiping [OPTIONS] destination

DESCRIPTION
ipmiping uses the IPMI Get Authentication Capabilities request datagram to elicit an IPMI Get Authentication Capabilitiesl response from a remote host. The utility can be used to verify if a remote host supports IPMI. The initial starting sequence number will be randomized. ipmiping will return 0 to the environment if it receives atleast 1 response from the remote host. Otherwise, it exists with a value of 1.

OPTIONS
The following options are available

-h  Output help menu.

-V  Output version.

-c count
    Stop after sending count request packets.

-i interval
    Wait interval seconds between sending each packet. The default is to wait for one second between each packet.

-I interface address
    Set source address to specified interface address. Argument may be numeric IP address or name of device.

-t timeout
    Time to wait for a response, in seconds. Default is five seconds.

-v  Verbose output.

-r version
    Specify IPMI protocol version. Available options are "1.5" and "2.0". Default is to use "1.5".

-s num
    Specify an initial starting sequence number. The default is to use a random initial sequence number.

-d  Turn on debugging.

LOCAL PING
Unlike ping(8), ipmiping cannot be used to ping a local network device (i.e. 127.0.0.1).

KNOWN ISSUES
It has been observed that some remote BMCs can get "confused" and delay packet responses if duplicate packets are sent in succession very quickly. For example, this could happen if the user repeatedly executes "ipmiping -c 1 -s X destination" very quickly. There is no known way to cleanly deal with a "confused" BMC. The best option is to simply wait "awhile".

ORIGIN
Developed by Albert Chu <chu11@llnl.gov> on LLNL's GNU/Linux clusters. This software is open source and distributed under the terms of the Gnu GPL. Command and manpage based off ping(8).

SEE ALSO
ping(8), rmcpping(8)